package com.rshy.project.hy.baseRe;

import lombok.Getter;

/**
 * @author Ye Jianyu
 * @date 2020/11/4
 */
@Getter
public class BaseException extends RuntimeException {

    /**
     * 错误码
     */
    private Integer code;
    /**
     * 错误提示
     */
    private String errMsg;

    /**
     * 错误明细，内部调试错误
     * <p>
     * 和 {@link Ret#getErrDetailMsg()} 一致的设计
     */
    private String detailerrMsg;

    /**
     * 空构造方法，避免反序列化问题
     */
    public BaseException() {
    }

    public BaseException(ErrorCode errorCode) {
        this.code = errorCode.getCode();
        this.errMsg = errorCode.geterrMsg();
    }

    public BaseException(Integer code, String errMsg) {
        this.code = code;
        this.errMsg = errMsg;
    }

    public BaseException(String errMsg) {
        super(errMsg);
    }

    public Integer getCode() {
        return code;
    }

    public String getDetailerrMsg() {
        return detailerrMsg;
    }

    public BaseException setDetailerrMsg(String detailerrMsg) {
        this.detailerrMsg = detailerrMsg;
        return this;
    }

    public BaseException setCode(Integer code) {
        this.code = code;
        return this;
    }

    @Override
    public String getMessage() {
        return errMsg;
    }

    public BaseException seterrMsg(String errMsg) {
        this.errMsg = errMsg;
        return this;
    }


}
