package com.rshy.project.hy.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/4/22 21:04
 * @description:
 */
@Getter
@AllArgsConstructor
public enum SexEnum {
    /**
     * 性别标识描述
     */
    MAN(1, "男"),
    WOMAN(2, "女"),
    UNKNOWN(3, "未知"),
    FEMALE(0, "女");

    private Integer code;

    private String desc;


    public static SexEnum codeOf(Integer code) {
        for (SexEnum sexEnum : SexEnum.values()) {
            if (sexEnum.getCode().equals(code)) {
                return sexEnum;
            }
        }

        return SexEnum.UNKNOWN;
    }

}
